## org.eclipse.amp.escape.ascape.chart
Class ChartCustomizer.MeasureLabelProvider

    java.lang.Object
      ColumnLabelProvider
          org.eclipse.amp.escape.ascape.chart.ChartCustomizer.MeasureLabelProvider

Enclosing class:
  ChartCustomizer

     class ChartCustomizer.MeasureLabelProvider

extends ColumnLabelProvider

The Class MeasureLabelProvider.

Field Summary
`(package private) int` `measureNumber`

Constructor Summary
`ChartCustomizer.MeasureLabelProvider(int measureNumber)` Instantiates a new measure label provider.

Method Summary
`Color` `getBackground(java.lang.Object element)`
`private DataSeries` `getDataSeries(java.lang.Object id)`
`Image` `getImage(java.lang.Object element)`
`java.lang.String` `getText(java.lang.Object element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### measureNumber

    int measureNumber

Constructor Detail

### ChartCustomizer.MeasureLabelProvider

    public ChartCustomizer.MeasureLabelProvider(int measureNumber)

  Instantiates a new measure label provider.

  Parameters:
    `measureNumber` - the measure number

Method Detail

### getDataSeries

    private DataSeries getDataSeries(java.lang.Object id)

### getText

    public java.lang.String getText(java.lang.Object element)

  Parameters:
    `element` -
  Returns:
  See Also:
    `org.eclipse.jface.viewers.ColumnLabelProvider#getText(java.lang.Object)`

### getImage

    public Image getImage(java.lang.Object element)

  Parameters:
    `element` -
  Returns:
  See Also:
    `org.eclipse.jface.viewers.ColumnLabelProvider#getImage(java.lang.Object)`

### getBackground

    public Color getBackground(java.lang.Object element)

  Parameters:
    `element` -
  Returns:
  See Also:
    `org.eclipse.jface.viewers.ColumnLabelProvider#getBackground(java.lang.Object)`

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors